/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#ifndef ERRORLOG_HXX
#define ERRORLOG_HXX

#include <qbrowserlib/log.hxx>
#include <ui_errorlog.h>
#include <QtGui/QDialog>

class ErrorLog: public QDialog, protected Ui::ErrorLog {
  public:
    Q_OBJECT;
  Q_SIGNALS:
    void reset();
  public:
    ErrorLog(QWidget* p): QDialog(p) {
      TRC;
      setupUi(this);
    }
    void append(QString text) {
      TRC; LOG<<text;
      _errors->append(text);
    }
  protected Q_SLOTS:
    void on__buttons_clicked(QAbstractButton* button) {
      TRC;
      switch (_buttons->buttonRole(button)) {
        case QDialogButtonBox::ResetRole: {
          _errors->clear();
          reset();
        } break;
        default:;
      }
    }
};

#endif
